#!/bin/bash

# Mettre le serveur NextCloud en mode maintenance
docker compose exec -u www-data app php occ maintenance:mode --on

# Extraire les dossiers de sauvegarde
cd /root/nxc

# Copie locale de la sauvegarde
rsync -Aavx nextcloud/ nextcloud-dirbkp/

# Base de données MySQL/MariaDB
docker compose exec db mysqldump -u nextcloud -pAzerty1+ nextcloud > nextcloud-sqlbkp.bak

# Sortir du mode maintenance
docker compose exec -u www-data app php occ maintenance:mode --off

# création d'une archive
tar cvfz nxc.tgz nextcloud-sqlbkp.bak nextcloud-dirbkp

# envoie sur s-backup
BACKUP=/home/backup/s-nxc

# Préparation des dossiers qui vont accueillir les données à sauvegarder (-e lance le répertoire si il existe)
[[ -e "${BACKUP}" ]] || mkdir -p "${BACKUP}"

# Sauvegarde du fichier nxc.tgz vers la machine s-backup
scp root@s-nxc:/root/nxc/nxc.tgz "${BACKUP}/"

